#
# spec file for package python3-stdeb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-stdeb
Version:        0.8.5
Release:        1.2
License:        MIT
Summary:        Python to Debian source package conversion utility
Url:            http://github.com/astraw/stdeb
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/5f/d8/c601cd5762bd5a611daa17483e23adaf70cc0ba94bb80b03fc86f01583f7/stdeb-%{version}.tar.gz
Patch0:         https://github.com/astraw/stdeb/pull/126.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-requests
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
stdeb produces Debian source packages from Python packages via a new distutils
command, sdist_dsc. Automatic defaults are provided for the Debian package, but
many aspects of the resulting package can be customized (see the customizing
section, below). An additional command, bdist_deb, creates a Debian binary
package, a .deb file. The install_deb command installs this .deb file. The
debianize command builds a debian/ directory directly alongside your setup.py.

%prep
%setup -q -n stdeb-%{version}
%patch0 -p1

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#python3 setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.rst
%{_bindir}/py2dsc
%{_bindir}/py2dsc-deb
%{_bindir}/pypi-download
%{_bindir}/pypi-install
%{python3_sitelib}/*

%changelog
* Wed Oct 12 2016 sebix+novell.com@sebix.at
- Add missing dependecy python3-requests with patch 126.patch
* Fri Sep 16 2016 sebix+novell.com@sebix.at
- First opensuse package with version 0.8.5
